package com.cm.common.plugin.pojo.vos.dynamic.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: DynamicConfigTableVO
 * @Description: 动态配置-表
 * @Author: WangGeng
 * @Date: 2019/12/7 6:59 下午
 * @Version: 1.0
 **/
@ApiModel
public class DynamicConfigTableVO {

    @ApiModelProperty(name = "tableName", value = "表名")
    private String tableName;
    @ApiModelProperty(name = "tableType", value = "类型")
    private String tableType;
    @ApiModelProperty(name = "tableExplain", value = "说明")
    private String tableExplain;
    @ApiModelProperty(name = "tableTemplate", value = "模板")
    private String tableTemplate;

    public String getTableName() {
        return tableName == null ? "" : tableName.trim();
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getTableType() {
        return tableType == null ? "" : tableType.trim();
    }

    public void setTableType(String tableType) {
        this.tableType = tableType;
    }

    public String getTableExplain() {
        return tableExplain == null ? "" : tableExplain.trim();
    }

    public void setTableExplain(String tableExplain) {
        this.tableExplain = tableExplain;
    }

    public String getTableTemplate() {
        return tableTemplate == null ? "" : tableTemplate.trim();
    }

    public void setTableTemplate(String tableTemplate) {
        this.tableTemplate = tableTemplate;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"tableName\":")
                .append("\"").append(tableName).append("\"");
        sb.append(",\"tableType\":")
                .append("\"").append(tableType).append("\"");
        sb.append(",\"tableExplain\":")
                .append("\"").append(tableExplain).append("\"");
        sb.append(",\"tableTemplate\":")
                .append("\"").append(tableTemplate).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
